## org.apache.axis.message
Class BodyBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.BodyBuilder

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class BodyBuilder
extends SOAPHandler

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Method Summary
`MessageElement` `makeNewElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` `onEndChild(java.lang.String namespace, java.lang.String localName, DeserializationContext context)`
`SOAPHandler` `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`
`void` `startElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`characters, endElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Method Detail

### startElement

    public void startElement(java.lang.String namespace,
                             java.lang.String localName,
                             java.lang.String prefix,
                             org.xml.sax.Attributes attributes,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Overrides:
    `startElement` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### makeNewElement

    public MessageElement makeNewElement(java.lang.String namespace,
                                         java.lang.String localName,
                                         java.lang.String prefix,
                                         org.xml.sax.Attributes attributes,
                                         DeserializationContext context)
                                  throws AxisFault

  Overrides:
    `makeNewElement` in class `SOAPHandler`
  Throws:
    `AxisFault`

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String localName,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `org.xml.sax.SAXException`

### onEndChild

    public void onEndChild(java.lang.String namespace,
                           java.lang.String localName,
                           DeserializationContext context)

  Overrides:
    `onEndChild` in class `SOAPHandler`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.